# stFormer

A flexible framework for transformer-based analysis of spatial transcriptomics data. stFormer provides tools for data tokenization, pretraining, embedding extraction, in silico perturbation, and downstream classification.

- Keep up to date on [Github](https://github.com/istrope/stFormer)
- Browse model files on [Hugging-Face](https://huggingface.co/Istrope/stFormer)

# Install
```bash
pip install --upgrade stformer
```
> **Prerequisites:** Python3.8+, OpenMPI (for deepspeed only)

# Features
- Data Tokenization
- Pretraining
- Token/Sequence Classification
- In Silico Perturbation
- Network Dynamic Predictions

## Contributing

Contributions are welcome! Please open issues at our [Github](https://github.com/istrope/stFormer) or submit pull requests for bug fixes and new features.

## Models
Pretrained models and datasets are available through our [hugging-face](https://huggingface.co/Istrope/stFormer) model card 

## License

This project is licensed under the MIT License. See [LICENSE](https://github.com/istrope/stFormer/blob/main/LICENSE) for details.